= Settings

.Quick reference for section ``general''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<general-ignore-case,ignore-case>>|Whether to find text on a page case-insensitively.
|<<general-wrap-search,wrap-search>>|Whether to wrap finding text to the top when arriving at the end.
|<<general-startpage,startpage>>|The default page(s) to open at the start, separated by commas.
|<<general-default-page,default-page>>|The page to open if :open -t/-b/-w is used without URL. Use `about:blank` for a blank page.
|<<general-auto-search,auto-search>>|Whether to start a search when something else than a URL is entered.
|<<general-auto-save-config,auto-save-config>>|Whether to save the config automatically on quit.
|<<general-auto-save-interval,auto-save-interval>>|How often (in milliseconds) to auto-save config/cookies/etc.
|<<general-editor,editor>>|The editor (and arguments) to use for the `open-editor` command.
|<<general-editor-encoding,editor-encoding>>|Encoding to use for editor.
|<<general-private-browsing,private-browsing>>|Do not record visited pages in the history or store web page icons.
|<<general-developer-extras,developer-extras>>|Enable extra tools for Web developers.
|<<general-print-element-backgrounds,print-element-backgrounds>>|Whether the background color and images are also drawn when the page is printed.
|<<general-xss-auditing,xss-auditing>>|Whether load requests should be monitored for cross-site scripting attempts.
|<<general-site-specific-quirks,site-specific-quirks>>|Enable workarounds for broken sites.
|<<general-default-encoding,default-encoding>>|Default encoding to use for websites.
|<<general-new-instance-open-target,new-instance-open-target>>|How to open links in an existing instance if a new one is launched.
|<<general-log-javascript-console,log-javascript-console>>|Whether to log javascript console messages.
|<<general-save-session,save-session>>|Whether to always save the open pages.
|<<general-session-default-name,session-default-name>>|The name of the session to save by default, or empty for the last loaded session.
|==============

.Quick reference for section ``ui''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<ui-zoom-levels,zoom-levels>>|The available zoom levels, separated by commas.
|<<ui-default-zoom,default-zoom>>|The default zoom level.
|<<ui-downloads-position,downloads-position>>|Where to show the downloaded files.
|<<ui-message-timeout,message-timeout>>|Time (in ms) to show messages in the statusbar for.
|<<ui-message-unfocused,message-unfocused>>|Whether to show messages in unfocused windows.
|<<ui-confirm-quit,confirm-quit>>|Whether to confirm quitting the application.
|<<ui-display-statusbar-messages,display-statusbar-messages>>|Whether to display javascript statusbar messages.
|<<ui-zoom-text-only,zoom-text-only>>|Whether the zoom factor on a frame applies only to the text or to all content.
|<<ui-frame-flattening,frame-flattening>>|Whether to  expand each subframe to its contents.
|<<ui-user-stylesheet,user-stylesheet>>|User stylesheet to use (absolute filename or CSS string). Will expand environment variables.
|<<ui-css-media-type,css-media-type>>|Set the CSS media type.
|<<ui-smooth-scrolling,smooth-scrolling>>|Whether to enable smooth scrolling for webpages.
|<<ui-remove-finished-downloads,remove-finished-downloads>>|Whether to remove finished downloads automatically.
|<<ui-hide-statusbar,hide-statusbar>>|Whether to hide the statusbar unless a message is shown.
|<<ui-window-title-format,window-title-format>>|The format to use for the window title. The following placeholders are defined:
|<<ui-hide-mouse-cursor,hide-mouse-cursor>>|Whether to hide the mouse cursor.
|==============

.Quick reference for section ``network''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<network-do-not-track,do-not-track>>|Value to send in the `DNT` header.
|<<network-accept-language,accept-language>>|Value to send in the `accept-language` header.
|<<network-user-agent,user-agent>>|User agent to send. Empty to send the default.
|<<network-proxy,proxy>>|The proxy to use.
|<<network-proxy-dns-requests,proxy-dns-requests>>|Whether to send DNS requests over the configured proxy.
|<<network-ssl-strict,ssl-strict>>|Whether to validate SSL handshakes.
|<<network-dns-prefetch,dns-prefetch>>|Whether to try to pre-fetch DNS entries to speed up browsing.
|==============

.Quick reference for section ``completion''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<completion-download-path-suggestion,download-path-suggestion>>|What to display in the download filename input.
|<<completion-timestamp-format,timestamp-format>>|How to format timestamps (e.g. for history)
|<<completion-show,show>>|Whether to show the autocompletion window.
|<<completion-height,height>>|The height of the completion, in px or as percentage of the window.
|<<completion-cmd-history-max-items,cmd-history-max-items>>|How many commands to save in the command history.
|<<completion-web-history-max-items,web-history-max-items>>|How many URLs to show in the web history.
|<<completion-quick-complete,quick-complete>>|Whether to move on to the next part when there's only one possible completion left.
|<<completion-shrink,shrink>>|Whether to shrink the completion to be smaller than the configured size if there are no scrollbars.
|==============

.Quick reference for section ``input''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<input-timeout,timeout>>|Timeout for ambiguous key bindings.
|<<input-partial-timeout,partial-timeout>>|Timeout for partially typed key bindings.
|<<input-insert-mode-on-plugins,insert-mode-on-plugins>>|Whether to switch to insert mode when clicking flash and other plugins.
|<<input-auto-leave-insert-mode,auto-leave-insert-mode>>|Whether to leave insert mode if a non-editable element is clicked.
|<<input-auto-insert-mode,auto-insert-mode>>|Whether to automatically enter insert mode if an editable element is focused after page load.
|<<input-forward-unbound-keys,forward-unbound-keys>>|Whether to forward unbound keys to the webview in normal mode.
|<<input-spatial-navigation,spatial-navigation>>|Enables or disables the Spatial Navigation feature
|<<input-links-included-in-focus-chain,links-included-in-focus-chain>>|Whether hyperlinks should be included in the keyboard focus chain.
|<<input-rocker-gestures,rocker-gestures>>|Whether to enable Opera-like mouse rocker gestures. This disables the context menu.
|<<input-mouse-zoom-divider,mouse-zoom-divider>>|How much to divide the mouse wheel movements to translate them into zoom increments.
|==============

.Quick reference for section ``tabs''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<tabs-background-tabs,background-tabs>>|Whether to open new tabs (middleclick/ctrl+click) in background.
|<<tabs-select-on-remove,select-on-remove>>|Which tab to select when the focused tab is removed.
|<<tabs-new-tab-position,new-tab-position>>|How new tabs are positioned.
|<<tabs-new-tab-position-explicit,new-tab-position-explicit>>|How new tabs opened explicitly are positioned.
|<<tabs-last-close,last-close>>|Behaviour when the last tab is closed.
|<<tabs-hide-auto,hide-auto>>|Hide the tab bar if only one tab is open.
|<<tabs-hide-always,hide-always>>|Always hide the tab bar.
|<<tabs-wrap,wrap>>|Whether to wrap when changing tabs.
|<<tabs-movable,movable>>|Whether tabs should be movable.
|<<tabs-close-mouse-button,close-mouse-button>>|On which mouse button to close tabs.
|<<tabs-position,position>>|The position of the tab bar.
|<<tabs-show-favicons,show-favicons>>|Whether to show favicons in the tab bar.
|<<tabs-width,width>>|The width of the tab bar if it's vertical, in px or as percentage of the window.
|<<tabs-indicator-width,indicator-width>>|Width of the progress indicator (0 to disable).
|<<tabs-indicator-space,indicator-space>>|Spacing between tab edge and indicator.
|<<tabs-tabs-are-windows,tabs-are-windows>>|Whether to open windows instead of tabs.
|<<tabs-title-format,title-format>>|The format to use for the tab title. The following placeholders are defined:
|==============

.Quick reference for section ``storage''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<storage-download-directory,download-directory>>|The directory to save downloads to. An empty value selects a sensible os-specific default. Will expand environment variables.
|<<storage-maximum-pages-in-cache,maximum-pages-in-cache>>|The maximum number of pages to hold in the global memory page cache.
|<<storage-object-cache-capacities,object-cache-capacities>>|The capacities for the global memory cache for dead objects such as stylesheets or scripts. Syntax: cacheMinDeadCapacity, cacheMaxDead, totalCapacity.
|<<storage-offline-storage-default-quota,offline-storage-default-quota>>|Default quota for new offline storage databases.
|<<storage-offline-web-application-cache-quota,offline-web-application-cache-quota>>|Quota for the offline web application cache.
|<<storage-offline-storage-database,offline-storage-database>>|Whether support for the HTML 5 offline storage feature is enabled.
|<<storage-offline-web-application-storage,offline-web-application-storage>>|Whether support for the HTML 5 web application cache feature is enabled.
|<<storage-local-storage,local-storage>>|Whether support for the HTML 5 local storage feature is enabled.
|<<storage-cache-size,cache-size>>|Size of the HTTP network cache.
|==============

.Quick reference for section ``content''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<content-allow-images,allow-images>>|Whether images are automatically loaded in web pages.
|<<content-allow-javascript,allow-javascript>>|Enables or disables the running of JavaScript programs.
|<<content-allow-plugins,allow-plugins>>|Enables or disables plugins in Web pages.
|<<content-webgl,webgl>>|Enables or disables WebGL.
|<<content-css-regions,css-regions>>|Enable or disable support for CSS regions.
|<<content-hyperlink-auditing,hyperlink-auditing>>|Enable or disable hyperlink auditing (<a ping>).
|<<content-geolocation,geolocation>>|Allow websites to request geolocations.
|<<content-notifications,notifications>>|Allow websites to show notifications.
|<<content-javascript-can-open-windows,javascript-can-open-windows>>|Whether JavaScript programs can open new windows.
|<<content-javascript-can-close-windows,javascript-can-close-windows>>|Whether JavaScript programs can close windows.
|<<content-javascript-can-access-clipboard,javascript-can-access-clipboard>>|Whether JavaScript programs can read or write to the clipboard.
|<<content-ignore-javascript-prompt,ignore-javascript-prompt>>|Whether all javascript prompts should be ignored.
|<<content-ignore-javascript-alert,ignore-javascript-alert>>|Whether all javascript alerts should be ignored.
|<<content-local-content-can-access-remote-urls,local-content-can-access-remote-urls>>|Whether locally loaded documents are allowed to access remote urls.
|<<content-local-content-can-access-file-urls,local-content-can-access-file-urls>>|Whether locally loaded documents are allowed to access other local urls.
|<<content-cookies-accept,cookies-accept>>|Whether to accept cookies.
|<<content-cookies-store,cookies-store>>|Whether to store cookies.
|<<content-host-block-lists,host-block-lists>>|List of URLs of lists which contain hosts to block.
|<<content-host-blocking-enabled,host-blocking-enabled>>|Whether host blocking is enabled.
|==============

.Quick reference for section ``hints''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<hints-border,border>>|CSS border value for hints.
|<<hints-opacity,opacity>>|Opacity for hints.
|<<hints-mode,mode>>|Mode to use for hints.
|<<hints-chars,chars>>|Chars used for hint strings.
|<<hints-min-chars,min-chars>>|Mininum number of chars used for hint strings.
|<<hints-scatter,scatter>>|Whether to scatter hint key chains (like Vimium) or not (like dwb).
|<<hints-uppercase,uppercase>>|Make chars in hint strings uppercase.
|<<hints-auto-follow,auto-follow>>|Whether to auto-follow a hint if there's only one left.
|<<hints-next-regexes,next-regexes>>|A comma-separated list of regexes to use for 'next' links.
|<<hints-prev-regexes,prev-regexes>>|A comma-separated list of regexes to use for 'prev' links.
|==============

.Quick reference for section ``colors''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<colors-completion.fg,completion.fg>>|Text color of the completion widget.
|<<colors-completion.bg,completion.bg>>|Background color of the completion widget.
|<<colors-completion.alternate-bg,completion.alternate-bg>>|Alternating background color of the completion widget.
|<<colors-completion.category.fg,completion.category.fg>>|Foreground color of completion widget category headers.
|<<colors-completion.category.bg,completion.category.bg>>|Background color of the completion widget category headers.
|<<colors-completion.category.border.top,completion.category.border.top>>|Top border color of the completion widget category headers.
|<<colors-completion.category.border.bottom,completion.category.border.bottom>>|Bottom border color of the completion widget category headers.
|<<colors-completion.item.selected.fg,completion.item.selected.fg>>|Foreground color of the selected completion item.
|<<colors-completion.item.selected.bg,completion.item.selected.bg>>|Background color of the selected completion item.
|<<colors-completion.item.selected.border.top,completion.item.selected.border.top>>|Top border color of the completion widget category headers.
|<<colors-completion.item.selected.border.bottom,completion.item.selected.border.bottom>>|Bottom border color of the selected completion item.
|<<colors-completion.match.fg,completion.match.fg>>|Foreground color of the matched text in the completion.
|<<colors-statusbar.bg,statusbar.bg>>|Foreground color of the statusbar.
|<<colors-statusbar.fg,statusbar.fg>>|Foreground color of the statusbar.
|<<colors-statusbar.bg.error,statusbar.bg.error>>|Background color of the statusbar if there was an error.
|<<colors-statusbar.bg.warning,statusbar.bg.warning>>|Background color of the statusbar if there is a warning.
|<<colors-statusbar.bg.prompt,statusbar.bg.prompt>>|Background color of the statusbar if there is a prompt.
|<<colors-statusbar.bg.insert,statusbar.bg.insert>>|Background color of the statusbar in insert mode.
|<<colors-statusbar.bg.caret,statusbar.bg.caret>>|Background color of the statusbar in caret mode.
|<<colors-statusbar.bg.caret-selection,statusbar.bg.caret-selection>>|Background color of the statusbar in caret mode with a selection
|<<colors-statusbar.progress.bg,statusbar.progress.bg>>|Background color of the progress bar.
|<<colors-statusbar.url.fg,statusbar.url.fg>>|Default foreground color of the URL in the statusbar.
|<<colors-statusbar.url.fg.success,statusbar.url.fg.success>>|Foreground color of the URL in the statusbar on successful load.
|<<colors-statusbar.url.fg.error,statusbar.url.fg.error>>|Foreground color of the URL in the statusbar on error.
|<<colors-statusbar.url.fg.warn,statusbar.url.fg.warn>>|Foreground color of the URL in the statusbar when there's a warning.
|<<colors-statusbar.url.fg.hover,statusbar.url.fg.hover>>|Foreground color of the URL in the statusbar for hovered links.
|<<colors-tabs.fg.odd,tabs.fg.odd>>|Foreground color of unselected odd tabs.
|<<colors-tabs.fg.even,tabs.fg.even>>|Foreground color of unselected even tabs.
|<<colors-tabs.fg.selected,tabs.fg.selected>>|Foreground color of selected tabs.
|<<colors-tabs.bg.odd,tabs.bg.odd>>|Background color of unselected odd tabs.
|<<colors-tabs.bg.even,tabs.bg.even>>|Background color of unselected even tabs.
|<<colors-tabs.bg.selected,tabs.bg.selected>>|Background color of selected tabs.
|<<colors-tabs.bg.bar,tabs.bg.bar>>|Background color of the tab bar.
|<<colors-tabs.indicator.start,tabs.indicator.start>>|Color gradient start for the tab indicator.
|<<colors-tabs.indicator.stop,tabs.indicator.stop>>|Color gradient end for the tab indicator.
|<<colors-tabs.indicator.error,tabs.indicator.error>>|Color for the tab indicator on errors..
|<<colors-tabs.indicator.system,tabs.indicator.system>>|Color gradient interpolation system for the tab indicator.
|<<colors-hints.fg,hints.fg>>|Font color for hints.
|<<colors-hints.fg.match,hints.fg.match>>|Font color for the matched part of hints.
|<<colors-hints.bg,hints.bg>>|Background color for hints.
|<<colors-downloads.fg,downloads.fg>>|Foreground color for downloads.
|<<colors-downloads.bg.bar,downloads.bg.bar>>|Background color for the download bar.
|<<colors-downloads.bg.start,downloads.bg.start>>|Color gradient start for downloads.
|<<colors-downloads.bg.stop,downloads.bg.stop>>|Color gradient end for downloads.
|<<colors-downloads.bg.system,downloads.bg.system>>|Color gradient interpolation system for downloads.
|<<colors-downloads.bg.error,downloads.bg.error>>|Background color for downloads with errors.
|==============

.Quick reference for section ``fonts''
[options="header",width="75%",cols="25%,75%"]
|==============
|Setting|Description
|<<fonts-_monospace,_monospace>>|Default monospace fonts.
|<<fonts-completion,completion>>|Font used in the completion widget.
|<<fonts-tabbar,tabbar>>|Font used in the tab bar.
|<<fonts-statusbar,statusbar>>|Font used in the statusbar.
|<<fonts-downloads,downloads>>|Font used for the downloadbar.
|<<fonts-hints,hints>>|Font used for the hints.
|<<fonts-debug-console,debug-console>>|Font used for the debugging console.
|<<fonts-web-family-standard,web-family-standard>>|Font family for standard fonts.
|<<fonts-web-family-fixed,web-family-fixed>>|Font family for fixed fonts.
|<<fonts-web-family-serif,web-family-serif>>|Font family for serif fonts.
|<<fonts-web-family-sans-serif,web-family-sans-serif>>|Font family for sans-serif fonts.
|<<fonts-web-family-cursive,web-family-cursive>>|Font family for cursive fonts.
|<<fonts-web-family-fantasy,web-family-fantasy>>|Font family for fantasy fonts.
|<<fonts-web-size-minimum,web-size-minimum>>|The hard minimum font size.
|<<fonts-web-size-minimum-logical,web-size-minimum-logical>>|The minimum logical font size that is applied when zooming out.
|<<fonts-web-size-default,web-size-default>>|The default font size for regular text.
|<<fonts-web-size-default-fixed,web-size-default-fixed>>|The default font size for fixed-pitch text.
|==============

== general
General/miscellaneous options.

[[general-ignore-case]]
=== ignore-case
Whether to find text on a page case-insensitively.

Valid values:

 * +true+: Search case-insensitively
 * +false+: Search case-sensitively
 * +smart+: Search case-sensitively if there are capital chars

Default: +pass:[smart]+

[[general-wrap-search]]
=== wrap-search
Whether to wrap finding text to the top when arriving at the end.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[general-startpage]]
=== startpage
The default page(s) to open at the start, separated by commas.

Default: +pass:[https://www.duckduckgo.com]+

[[general-default-page]]
=== default-page
The page to open if :open -t/-b/-w is used without URL. Use `about:blank` for a blank page.

Default: +pass:[${startpage}]+

[[general-auto-search]]
=== auto-search
Whether to start a search when something else than a URL is entered.

Valid values:

 * +naive+: Use simple/naive check.
 * +dns+: Use DNS requests (might be slow!).
 * +false+: Never search automatically.

Default: +pass:[naive]+

[[general-auto-save-config]]
=== auto-save-config
Whether to save the config automatically on quit.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[general-auto-save-interval]]
=== auto-save-interval
How often (in milliseconds) to auto-save config/cookies/etc.

Default: +pass:[15000]+

[[general-editor]]
=== editor
The editor (and arguments) to use for the `open-editor` command.

Use `{}` for the filename. The value gets split like in a shell, so you can use `"` or `'` to quote arguments.

Default: +pass:[gvim -f &quot;{}&quot;]+

[[general-editor-encoding]]
=== editor-encoding
Encoding to use for editor.

Default: +pass:[utf-8]+

[[general-private-browsing]]
=== private-browsing
Do not record visited pages in the history or store web page icons.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[general-developer-extras]]
=== developer-extras
Enable extra tools for Web developers.

This needs to be enabled for `:inspector` to work and also adds an _Inspect_ entry to the context menu.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[general-print-element-backgrounds]]
=== print-element-backgrounds
Whether the background color and images are also drawn when the page is printed.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[general-xss-auditing]]
=== xss-auditing
Whether load requests should be monitored for cross-site scripting attempts.

Suspicious scripts will be blocked and reported in the inspector's JavaScript console. Enabling this feature might have an impact on performance.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[general-site-specific-quirks]]
=== site-specific-quirks
Enable workarounds for broken sites.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[general-default-encoding]]
=== default-encoding
Default encoding to use for websites.

The encoding must be a string describing an encoding such as _utf-8_, _iso-8859-1_, etc. If left empty a default value will be used.

Default: empty

[[general-new-instance-open-target]]
=== new-instance-open-target
How to open links in an existing instance if a new one is launched.

Valid values:

 * +tab+: Open a new tab in the existing window and activate the window.
 * +tab-bg+: Open a new background tab in the existing window and activate the window.
 * +tab-silent+: Open a new tab in the existing window without activating the window.
 * +tab-bg-silent+: Open a new background tab in the existing window without activating the window.
 * +window+: Open in a new window.

Default: +pass:[window]+

[[general-log-javascript-console]]
=== log-javascript-console
Whether to log javascript console messages.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[general-save-session]]
=== save-session
Whether to always save the open pages.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[general-session-default-name]]
=== session-default-name
The name of the session to save by default, or empty for the last loaded session.

Default: empty

== ui
General options related to the user interface.

[[ui-zoom-levels]]
=== zoom-levels
The available zoom levels, separated by commas.

Default: +pass:[25%,33%,50%,67%,75%,90%,100%,110%,125%,150%,175%,200%,250%,300%,400%,500%]+

[[ui-default-zoom]]
=== default-zoom
The default zoom level.

Default: +pass:[100%]+

[[ui-downloads-position]]
=== downloads-position
Where to show the downloaded files.

Valid values:

 * +north+
 * +south+

Default: +pass:[north]+

[[ui-message-timeout]]
=== message-timeout
Time (in ms) to show messages in the statusbar for.

Default: +pass:[2000]+

[[ui-message-unfocused]]
=== message-unfocused
Whether to show messages in unfocused windows.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-confirm-quit]]
=== confirm-quit
Whether to confirm quitting the application.

Valid values:

 * +always+: Always show a confirmation.
 * +multiple-tabs+: Show a confirmation if multiple tabs are opened.
 * +downloads+: Show a confirmation if downloads are running
 * +never+: Never show a confirmation.

Default: +pass:[never]+

[[ui-display-statusbar-messages]]
=== display-statusbar-messages
Whether to display javascript statusbar messages.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-zoom-text-only]]
=== zoom-text-only
Whether the zoom factor on a frame applies only to the text or to all content.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-frame-flattening]]
=== frame-flattening
Whether to  expand each subframe to its contents.

This will flatten all the frames to become one scrollable page.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-user-stylesheet]]
=== user-stylesheet
User stylesheet to use (absolute filename or CSS string). Will expand environment variables.

Default: +pass:[::-webkit-scrollbar { width: 0px; height: 0px; }]+

[[ui-css-media-type]]
=== css-media-type
Set the CSS media type.

Default: empty

[[ui-smooth-scrolling]]
=== smooth-scrolling
Whether to enable smooth scrolling for webpages.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-remove-finished-downloads]]
=== remove-finished-downloads
Whether to remove finished downloads automatically.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-hide-statusbar]]
=== hide-statusbar
Whether to hide the statusbar unless a message is shown.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[ui-window-title-format]]
=== window-title-format
The format to use for the window title. The following placeholders are defined:

* `{perc}`: The percentage as a string like `[10%]`.
* `{perc_raw}`: The raw percentage, e.g. `10`
* `{title}`: The title of the current web page
* `{title_sep}`: The string ` - ` if a title is set, empty otherwise.
* `{id}`: The internal window ID of this window.

Default: +pass:[{perc}{title}{title_sep}qutebrowser]+

[[ui-hide-mouse-cursor]]
=== hide-mouse-cursor
Whether to hide the mouse cursor.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

== network
Settings related to the network.

[[network-do-not-track]]
=== do-not-track
Value to send in the `DNT` header.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[network-accept-language]]
=== accept-language
Value to send in the `accept-language` header.

Default: +pass:[en-US,en]+

[[network-user-agent]]
=== user-agent
User agent to send. Empty to send the default.

Default: empty

[[network-proxy]]
=== proxy
The proxy to use.

In addition to the listed values, you can use a `socks://...` or `http://...` URL.

Valid values:

 * +system+: Use the system wide proxy.
 * +none+: Don't use any proxy

Default: +pass:[system]+

[[network-proxy-dns-requests]]
=== proxy-dns-requests
Whether to send DNS requests over the configured proxy.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[network-ssl-strict]]
=== ssl-strict
Whether to validate SSL handshakes.

Valid values:

 * +true+
 * +false+
 * +ask+

Default: +pass:[ask]+

[[network-dns-prefetch]]
=== dns-prefetch
Whether to try to pre-fetch DNS entries to speed up browsing.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

== completion
Options related to completion and command history.

[[completion-download-path-suggestion]]
=== download-path-suggestion
What to display in the download filename input.

Valid values:

 * +path+: Show only the download path.
 * +filename+: Show only download filename.
 * +both+: Show download path and filename.

Default: +pass:[path]+

[[completion-timestamp-format]]
=== timestamp-format
How to format timestamps (e.g. for history)

Default: +pass:[%Y-%m-%d]+

[[completion-show]]
=== show
Whether to show the autocompletion window.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[completion-height]]
=== height
The height of the completion, in px or as percentage of the window.

Default: +pass:[50%]+

[[completion-cmd-history-max-items]]
=== cmd-history-max-items
How many commands to save in the command history.

0: no history / -1: unlimited

Default: +pass:[100]+

[[completion-web-history-max-items]]
=== web-history-max-items
How many URLs to show in the web history.

0: no history / -1: unlimited

Default: +pass:[1000]+

[[completion-quick-complete]]
=== quick-complete
Whether to move on to the next part when there's only one possible completion left.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[completion-shrink]]
=== shrink
Whether to shrink the completion to be smaller than the configured size if there are no scrollbars.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

== input
Options related to input modes.

[[input-timeout]]
=== timeout
Timeout for ambiguous key bindings.

Default: +pass:[500]+

[[input-partial-timeout]]
=== partial-timeout
Timeout for partially typed key bindings.

Default: +pass:[1000]+

[[input-insert-mode-on-plugins]]
=== insert-mode-on-plugins
Whether to switch to insert mode when clicking flash and other plugins.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[input-auto-leave-insert-mode]]
=== auto-leave-insert-mode
Whether to leave insert mode if a non-editable element is clicked.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[input-auto-insert-mode]]
=== auto-insert-mode
Whether to automatically enter insert mode if an editable element is focused after page load.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[input-forward-unbound-keys]]
=== forward-unbound-keys
Whether to forward unbound keys to the webview in normal mode.

Valid values:

 * +all+: Forward all unbound keys.
 * +auto+: Forward unbound non-alphanumeric keys.
 * +none+: Don't forward any keys.

Default: +pass:[auto]+

[[input-spatial-navigation]]
=== spatial-navigation
Enables or disables the Spatial Navigation feature

Spatial navigation consists in the ability to navigate between focusable elements in a Web page, such as hyperlinks and form controls, by using Left, Right, Up and Down arrow keys. For example, if a user presses the Right key, heuristics determine whether there is an element he might be trying to reach towards the right and which element he probably wants.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[input-links-included-in-focus-chain]]
=== links-included-in-focus-chain
Whether hyperlinks should be included in the keyboard focus chain.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[input-rocker-gestures]]
=== rocker-gestures
Whether to enable Opera-like mouse rocker gestures. This disables the context menu.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[input-mouse-zoom-divider]]
=== mouse-zoom-divider
How much to divide the mouse wheel movements to translate them into zoom increments.

Default: +pass:[512]+

== tabs
Configuration of the tab bar.

[[tabs-background-tabs]]
=== background-tabs
Whether to open new tabs (middleclick/ctrl+click) in background.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[tabs-select-on-remove]]
=== select-on-remove
Which tab to select when the focused tab is removed.

Valid values:

 * +left+: Select the tab on the left.
 * +right+: Select the tab on the right.
 * +previous+: Select the previously selected tab.

Default: +pass:[right]+

[[tabs-new-tab-position]]
=== new-tab-position
How new tabs are positioned.

Valid values:

 * +left+: On the left of the current tab.
 * +right+: On the right of the current tab.
 * +first+: At the left end.
 * +last+: At the right end.

Default: +pass:[right]+

[[tabs-new-tab-position-explicit]]
=== new-tab-position-explicit
How new tabs opened explicitly are positioned.

Valid values:

 * +left+: On the left of the current tab.
 * +right+: On the right of the current tab.
 * +first+: At the left end.
 * +last+: At the right end.

Default: +pass:[last]+

[[tabs-last-close]]
=== last-close
Behaviour when the last tab is closed.

Valid values:

 * +ignore+: Don't do anything.
 * +blank+: Load a blank page.
 * +startpage+: Load the start page.
 * +default-page+: Load the default page.
 * +close+: Close the window.

Default: +pass:[ignore]+

[[tabs-hide-auto]]
=== hide-auto
Hide the tab bar if only one tab is open.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[tabs-hide-always]]
=== hide-always
Always hide the tab bar.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[tabs-wrap]]
=== wrap
Whether to wrap when changing tabs.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[tabs-movable]]
=== movable
Whether tabs should be movable.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[tabs-close-mouse-button]]
=== close-mouse-button
On which mouse button to close tabs.

Valid values:

 * +right+: Close tabs on right-click.
 * +middle+: Close tabs on middle-click.
 * +none+: Don't close tabs using the mouse.

Default: +pass:[middle]+

[[tabs-position]]
=== position
The position of the tab bar.

Valid values:

 * +north+
 * +south+
 * +east+
 * +west+

Default: +pass:[north]+

[[tabs-show-favicons]]
=== show-favicons
Whether to show favicons in the tab bar.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[tabs-width]]
=== width
The width of the tab bar if it's vertical, in px or as percentage of the window.

Default: +pass:[20%]+

[[tabs-indicator-width]]
=== indicator-width
Width of the progress indicator (0 to disable).

Default: +pass:[3]+

[[tabs-indicator-space]]
=== indicator-space
Spacing between tab edge and indicator.

Default: +pass:[3]+

[[tabs-tabs-are-windows]]
=== tabs-are-windows
Whether to open windows instead of tabs.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[tabs-title-format]]
=== title-format
The format to use for the tab title. The following placeholders are defined:

* `{perc}`: The percentage as a string like `[10%]`.
* `{perc_raw}`: The raw percentage, e.g. `10`
* `{title}`: The title of the current web page
* `{title_sep}`: The string ` - ` if a title is set, empty otherwise.
* `{index}`: The index of this tab.
* `{id}`: The internal tab ID of this tab.

Default: +pass:[{index}: {title}]+

== storage
Settings related to cache and storage.

[[storage-download-directory]]
=== download-directory
The directory to save downloads to. An empty value selects a sensible os-specific default. Will expand environment variables.

Default: empty

[[storage-maximum-pages-in-cache]]
=== maximum-pages-in-cache
The maximum number of pages to hold in the global memory page cache.

The Page Cache allows for a nicer user experience when navigating forth or back to pages in the forward/back history, by pausing and resuming up to _n_ pages.

For more information about the feature, please refer to: http://webkit.org/blog/427/webkit-page-cache-i-the-basics/

Default: empty

[[storage-object-cache-capacities]]
=== object-cache-capacities
The capacities for the global memory cache for dead objects such as stylesheets or scripts. Syntax: cacheMinDeadCapacity, cacheMaxDead, totalCapacity.

The _cacheMinDeadCapacity_ specifies the minimum number of bytes that dead objects should consume when the cache is under pressure.

_cacheMaxDead_ is the maximum number of bytes that dead objects should consume when the cache is *not* under pressure.

_totalCapacity_ specifies the maximum number of bytes that the cache should consume *overall*.

Default: empty

[[storage-offline-storage-default-quota]]
=== offline-storage-default-quota
Default quota for new offline storage databases.

Default: empty

[[storage-offline-web-application-cache-quota]]
=== offline-web-application-cache-quota
Quota for the offline web application cache.

Default: empty

[[storage-offline-storage-database]]
=== offline-storage-database
Whether support for the HTML 5 offline storage feature is enabled.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[storage-offline-web-application-storage]]
=== offline-web-application-storage
Whether support for the HTML 5 web application cache feature is enabled.

An application cache acts like an HTTP cache in some sense. For documents that use the application cache via JavaScript, the loader engine will first ask the application cache for the contents, before hitting the network.

The feature is described in details at: http://dev.w3.org/html5/spec/Overview.html#appcache

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[storage-local-storage]]
=== local-storage
Whether support for the HTML 5 local storage feature is enabled.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[storage-cache-size]]
=== cache-size
Size of the HTTP network cache.

Default: +pass:[52428800]+

== content
Loaded plugins/scripts and allowed actions.

[[content-allow-images]]
=== allow-images
Whether images are automatically loaded in web pages.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[content-allow-javascript]]
=== allow-javascript
Enables or disables the running of JavaScript programs.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[content-allow-plugins]]
=== allow-plugins
Enables or disables plugins in Web pages.

Qt plugins with a mimetype such as "application/x-qt-plugin" are not affected by this setting.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-webgl]]
=== webgl
Enables or disables WebGL.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[content-css-regions]]
=== css-regions
Enable or disable support for CSS regions.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[content-hyperlink-auditing]]
=== hyperlink-auditing
Enable or disable hyperlink auditing (<a ping>).

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-geolocation]]
=== geolocation
Allow websites to request geolocations.

Valid values:

 * +true+
 * +false+
 * +ask+

Default: +pass:[ask]+

[[content-notifications]]
=== notifications
Allow websites to show notifications.

Valid values:

 * +true+
 * +false+
 * +ask+

Default: +pass:[ask]+

[[content-javascript-can-open-windows]]
=== javascript-can-open-windows
Whether JavaScript programs can open new windows.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-javascript-can-close-windows]]
=== javascript-can-close-windows
Whether JavaScript programs can close windows.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-javascript-can-access-clipboard]]
=== javascript-can-access-clipboard
Whether JavaScript programs can read or write to the clipboard.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-ignore-javascript-prompt]]
=== ignore-javascript-prompt
Whether all javascript prompts should be ignored.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-ignore-javascript-alert]]
=== ignore-javascript-alert
Whether all javascript alerts should be ignored.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-local-content-can-access-remote-urls]]
=== local-content-can-access-remote-urls
Whether locally loaded documents are allowed to access remote urls.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[content-local-content-can-access-file-urls]]
=== local-content-can-access-file-urls
Whether locally loaded documents are allowed to access other local urls.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[content-cookies-accept]]
=== cookies-accept
Whether to accept cookies.

Valid values:

 * +default+: Default QtWebKit behavior.
 * +never+: Don't accept cookies at all.

Default: +pass:[default]+

[[content-cookies-store]]
=== cookies-store
Whether to store cookies.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[content-host-block-lists]]
=== host-block-lists
List of URLs of lists which contain hosts to block.

The file can be in one of the following formats:

- An '/etc/hosts'-like file
- One host per line
- A zip-file of any of the above, with either only one file, or a file named 'hosts' (with any extension).

Default: +pass:[http://www.malwaredomainlist.com/hostslist/hosts.txt,http://someonewhocares.org/hosts/hosts,http://winhelp2002.mvps.org/hosts.zip,http://malwaredomains.lehigh.edu/files/justdomains.zip,http://pgl.yoyo.org/adservers/serverlist.php?hostformat=hosts&amp;mimetype=plaintext]+

[[content-host-blocking-enabled]]
=== host-blocking-enabled
Whether host blocking is enabled.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

== hints
Hinting settings.

[[hints-border]]
=== border
CSS border value for hints.

Default: +pass:[1px solid #E3BE23]+

[[hints-opacity]]
=== opacity
Opacity for hints.

Default: +pass:[0.7]+

[[hints-mode]]
=== mode
Mode to use for hints.

Valid values:

 * +number+: Use numeric hints.
 * +letter+: Use the chars in the hints -> chars setting.

Default: +pass:[letter]+

[[hints-chars]]
=== chars
Chars used for hint strings.

Default: +pass:[asdfghjkl]+

[[hints-min-chars]]
=== min-chars
Mininum number of chars used for hint strings.

Default: +pass:[1]+

[[hints-scatter]]
=== scatter
Whether to scatter hint key chains (like Vimium) or not (like dwb).

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[hints-uppercase]]
=== uppercase
Make chars in hint strings uppercase.

Valid values:

 * +true+
 * +false+

Default: +pass:[false]+

[[hints-auto-follow]]
=== auto-follow
Whether to auto-follow a hint if there's only one left.

Valid values:

 * +true+
 * +false+

Default: +pass:[true]+

[[hints-next-regexes]]
=== next-regexes
A comma-separated list of regexes to use for 'next' links.

Default: +pass:[\bnext\b,\bmore\b,\bnewer\b,\b[&gt;→≫]\b,\b(&gt;&gt;|»)\b]+

[[hints-prev-regexes]]
=== prev-regexes
A comma-separated list of regexes to use for 'prev' links.

Default: +pass:[\bprev(ious)?\b,\bback\b,\bolder\b,\b[&lt;←≪]\b,\b(&lt;&lt;|«)\b]+

== searchengines
Definitions of search engines which can be used via the address bar.
The searchengine named `DEFAULT` is used when `general -> auto-search` is true and something else than a URL was entered to be opened. Other search engines can be used by prepending the search engine name to the search term, e.g. `:open google qutebrowser`. The string `{}` will be replaced by the search term, use `{{` and `}}` for literal `{`/`}` signs.

== aliases
Aliases for commands.
By default, no aliases are defined. Example which adds a new command `:qtb` to open qutebrowsers website:

`qtb = open http://www.qutebrowser.org/`

== colors
Colors used in the UI.
A value can be in one of the following format:

 * `#RGB`/`#RRGGBB`/`#RRRGGGBBB`/`#RRRRGGGGBBBB`
 * A SVG color name as specified in http://www.w3.org/TR/SVG/types.html#ColorKeywords[the W3C specification].
 * transparent (no color)
 * `rgb(r, g, b)` / `rgba(r, g, b, a)` (values 0-255 or percentages)
 * `hsv(h, s, v)` / `hsva(h, s, v, a)` (values 0-255, hue 0-359)
 * A gradient as explained in http://qt-project.org/doc/qt-4.8/stylesheet-reference.html#list-of-property-types[the Qt documentation] under ``Gradient''.

The `hints.*` values are a special case as they're real CSS colors, not Qt-CSS colors. There, for a gradient, you need to use `-webkit-gradient`, see https://www.webkit.org/blog/175/introducing-css-gradients/[the WebKit documentation].

[[colors-completion.fg]]
=== completion.fg
Text color of the completion widget.

Default: +pass:[white]+

[[colors-completion.bg]]
=== completion.bg
Background color of the completion widget.

Default: +pass:[#333333]+

[[colors-completion.alternate-bg]]
=== completion.alternate-bg
Alternating background color of the completion widget.

Default: +pass:[#444444]+

[[colors-completion.category.fg]]
=== completion.category.fg
Foreground color of completion widget category headers.

Default: +pass:[white]+

[[colors-completion.category.bg]]
=== completion.category.bg
Background color of the completion widget category headers.

Default: +pass:[qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #888888, stop:1 #505050)]+

[[colors-completion.category.border.top]]
=== completion.category.border.top
Top border color of the completion widget category headers.

Default: +pass:[black]+

[[colors-completion.category.border.bottom]]
=== completion.category.border.bottom
Bottom border color of the completion widget category headers.

Default: +pass:[${completion.category.border.top}]+

[[colors-completion.item.selected.fg]]
=== completion.item.selected.fg
Foreground color of the selected completion item.

Default: +pass:[black]+

[[colors-completion.item.selected.bg]]
=== completion.item.selected.bg
Background color of the selected completion item.

Default: +pass:[#e8c000]+

[[colors-completion.item.selected.border.top]]
=== completion.item.selected.border.top
Top border color of the completion widget category headers.

Default: +pass:[#bbbb00]+

[[colors-completion.item.selected.border.bottom]]
=== completion.item.selected.border.bottom
Bottom border color of the selected completion item.

Default: +pass:[${completion.item.selected.border.top}]+

[[colors-completion.match.fg]]
=== completion.match.fg
Foreground color of the matched text in the completion.

Default: +pass:[#ff4444]+

[[colors-statusbar.bg]]
=== statusbar.bg
Foreground color of the statusbar.

Default: +pass:[black]+

[[colors-statusbar.fg]]
=== statusbar.fg
Foreground color of the statusbar.

Default: +pass:[white]+

[[colors-statusbar.bg.error]]
=== statusbar.bg.error
Background color of the statusbar if there was an error.

Default: +pass:[red]+

[[colors-statusbar.bg.warning]]
=== statusbar.bg.warning
Background color of the statusbar if there is a warning.

Default: +pass:[darkorange]+

[[colors-statusbar.bg.prompt]]
=== statusbar.bg.prompt
Background color of the statusbar if there is a prompt.

Default: +pass:[darkblue]+

[[colors-statusbar.bg.insert]]
=== statusbar.bg.insert
Background color of the statusbar in insert mode.

Default: +pass:[darkgreen]+

[[colors-statusbar.bg.caret]]
=== statusbar.bg.caret
Background color of the statusbar in caret mode.

Default: +pass:[purple]+

[[colors-statusbar.bg.caret-selection]]
=== statusbar.bg.caret-selection
Background color of the statusbar in caret mode with a selection

Default: +pass:[#a12dff]+

[[colors-statusbar.progress.bg]]
=== statusbar.progress.bg
Background color of the progress bar.

Default: +pass:[white]+

[[colors-statusbar.url.fg]]
=== statusbar.url.fg
Default foreground color of the URL in the statusbar.

Default: +pass:[${statusbar.fg}]+

[[colors-statusbar.url.fg.success]]
=== statusbar.url.fg.success
Foreground color of the URL in the statusbar on successful load.

Default: +pass:[lime]+

[[colors-statusbar.url.fg.error]]
=== statusbar.url.fg.error
Foreground color of the URL in the statusbar on error.

Default: +pass:[orange]+

[[colors-statusbar.url.fg.warn]]
=== statusbar.url.fg.warn
Foreground color of the URL in the statusbar when there's a warning.

Default: +pass:[yellow]+

[[colors-statusbar.url.fg.hover]]
=== statusbar.url.fg.hover
Foreground color of the URL in the statusbar for hovered links.

Default: +pass:[aqua]+

[[colors-tabs.fg.odd]]
=== tabs.fg.odd
Foreground color of unselected odd tabs.

Default: +pass:[white]+

[[colors-tabs.fg.even]]
=== tabs.fg.even
Foreground color of unselected even tabs.

Default: +pass:[white]+

[[colors-tabs.fg.selected]]
=== tabs.fg.selected
Foreground color of selected tabs.

Default: +pass:[white]+

[[colors-tabs.bg.odd]]
=== tabs.bg.odd
Background color of unselected odd tabs.

Default: +pass:[grey]+

[[colors-tabs.bg.even]]
=== tabs.bg.even
Background color of unselected even tabs.

Default: +pass:[darkgrey]+

[[colors-tabs.bg.selected]]
=== tabs.bg.selected
Background color of selected tabs.

Default: +pass:[black]+

[[colors-tabs.bg.bar]]
=== tabs.bg.bar
Background color of the tab bar.

Default: +pass:[#555555]+

[[colors-tabs.indicator.start]]
=== tabs.indicator.start
Color gradient start for the tab indicator.

Default: +pass:[#0000aa]+

[[colors-tabs.indicator.stop]]
=== tabs.indicator.stop
Color gradient end for the tab indicator.

Default: +pass:[#00aa00]+

[[colors-tabs.indicator.error]]
=== tabs.indicator.error
Color for the tab indicator on errors..

Default: +pass:[#ff0000]+

[[colors-tabs.indicator.system]]
=== tabs.indicator.system
Color gradient interpolation system for the tab indicator.

Valid values:

 * +rgb+: Interpolate in the RGB color system.
 * +hsv+: Interpolate in the HSV color system.
 * +hsl+: Interpolate in the HSL color system.

Default: +pass:[rgb]+

[[colors-hints.fg]]
=== hints.fg
Font color for hints.

Default: +pass:[black]+

[[colors-hints.fg.match]]
=== hints.fg.match
Font color for the matched part of hints.

Default: +pass:[green]+

[[colors-hints.bg]]
=== hints.bg
Background color for hints.

Default: +pass:[-webkit-gradient(linear, left top, left bottom, color-stop(0%,#FFF785), color-stop(100%,#FFC542))]+

[[colors-downloads.fg]]
=== downloads.fg
Foreground color for downloads.

Default: +pass:[#ffffff]+

[[colors-downloads.bg.bar]]
=== downloads.bg.bar
Background color for the download bar.

Default: +pass:[black]+

[[colors-downloads.bg.start]]
=== downloads.bg.start
Color gradient start for downloads.

Default: +pass:[#0000aa]+

[[colors-downloads.bg.stop]]
=== downloads.bg.stop
Color gradient end for downloads.

Default: +pass:[#00aa00]+

[[colors-downloads.bg.system]]
=== downloads.bg.system
Color gradient interpolation system for downloads.

Valid values:

 * +rgb+: Interpolate in the RGB color system.
 * +hsv+: Interpolate in the HSV color system.
 * +hsl+: Interpolate in the HSL color system.

Default: +pass:[rgb]+

[[colors-downloads.bg.error]]
=== downloads.bg.error
Background color for downloads with errors.

Default: +pass:[red]+

== fonts
Fonts used for the UI, with optional style/weight/size.

 * Style: `normal`/`italic`/`oblique`
 * Weight: `normal`, `bold`, `100`..`900`
 * Size: _number_ `px`/`pt`

[[fonts-_monospace]]
=== _monospace
Default monospace fonts.

Default: +pass:[Terminus, Monospace, &quot;DejaVu Sans Mono&quot;, Monaco, &quot;Bitstream Vera Sans Mono&quot;, &quot;Andale Mono&quot;, &quot;Liberation Mono&quot;, &quot;Courier New&quot;, Courier, monospace, Fixed, Consolas, Terminal]+

[[fonts-completion]]
=== completion
Font used in the completion widget.

Default: +pass:[8pt ${_monospace}]+

[[fonts-tabbar]]
=== tabbar
Font used in the tab bar.

Default: +pass:[8pt ${_monospace}]+

[[fonts-statusbar]]
=== statusbar
Font used in the statusbar.

Default: +pass:[8pt ${_monospace}]+

[[fonts-downloads]]
=== downloads
Font used for the downloadbar.

Default: +pass:[8pt ${_monospace}]+

[[fonts-hints]]
=== hints
Font used for the hints.

Default: +pass:[bold 12px Monospace]+

[[fonts-debug-console]]
=== debug-console
Font used for the debugging console.

Default: +pass:[8pt ${_monospace}]+

[[fonts-web-family-standard]]
=== web-family-standard
Font family for standard fonts.

Default: empty

[[fonts-web-family-fixed]]
=== web-family-fixed
Font family for fixed fonts.

Default: empty

[[fonts-web-family-serif]]
=== web-family-serif
Font family for serif fonts.

Default: empty

[[fonts-web-family-sans-serif]]
=== web-family-sans-serif
Font family for sans-serif fonts.

Default: empty

[[fonts-web-family-cursive]]
=== web-family-cursive
Font family for cursive fonts.

Default: empty

[[fonts-web-family-fantasy]]
=== web-family-fantasy
Font family for fantasy fonts.

Default: empty

[[fonts-web-size-minimum]]
=== web-size-minimum
The hard minimum font size.

Default: empty

[[fonts-web-size-minimum-logical]]
=== web-size-minimum-logical
The minimum logical font size that is applied when zooming out.

Default: empty

[[fonts-web-size-default]]
=== web-size-default
The default font size for regular text.

Default: empty

[[fonts-web-size-default-fixed]]
=== web-size-default-fixed
The default font size for fixed-pitch text.

Default: empty
